<div id="product" class="page-layout carded fullwidth inner-scroll">

    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- HEADER -->
        <div class="header accent" fxLayout="row" fxLayoutAlign="space-between center">


            <div fxLayout="row" fxLayoutAlign="start center">



                <div fxLayout="column" fxLayoutAlign="start start"
                    [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">

                    <div class="subtitle secondary-text">
                        <span>Customer Details</span>
                    </div>
                </div>
            </div>



        </div>
        <!-- / HEADER -->

        <!-- CONTENT CARD -->

        <div class="content-card">
            <!-- CONTENT -->
            <div class="content">
                <mat-dialog-content class="mat-typography" style="padding-left: 4%;">
                    <!-- <form style="width: 100%;" name="customerForm" class="product w-100-p" fxLayout="column" fxFlex> -->

                    <div [formGroup]="customerForm" class="tab-content p-24">
                        <!-- First Name -->
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>First Name</mat-label>
                            <input matInput placeholder="First Name" name="name" formControlName="firstName" autocomplete="off"
                                >
                        </mat-form-field>
                        <!-- Last Name -->
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Last Name</mat-label>
                            <input matInput placeholder="Last Name" name="name" formControlName="lastName" autocomplete="off"
                                >
                        </mat-form-field>
                        <!-- Mobile Number -->
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Mobile Number</mat-label>
                            <input matInput placeholder="Mobile Number" name="mobile" maxlength="10" autocomplete="off"
                                formControlName="mobile">
                        </mat-form-field>
                        <!-- Email -->
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Email</mat-label>
                            <input matInput placeholder="Enter Email" name="email" formControlName="email" autocomplete="off">
                        </mat-form-field>
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Password</mat-label>
                            <input matInput placeholder="Enter Password" name="password" formControlName="password" autocomplete="off"
                                type="password">
                        </mat-form-field>
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Confirm Password</mat-label>
                            <input matInput placeholder="Re-Enter Password" name="confirm_password" autocomplete="off"
                                formControlName="confirm_password" type="password">
                        </mat-form-field>        
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Flat Number</mat-label>
                            <input matInput placeholder="Flat Number" name="flat" formControlName="flat_no">
                        </mat-form-field>
                        <!-- Address -->
                        <!-- <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                <mat-label>Location</mat-label>
                                <input matInput placeholder="Enter Address" name="address" formControlName="address">
                            </mat-form-field> -->

                        <!-- Title -->
                        <!-- <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                <mat-label>Building</mat-label>
                                <input matInput placeholder="Enter Title" name="title" formControlName="title">
                            </mat-form-field> -->
                        <!-- <mat-form-field appearance="outline" class="w-100-p">
                                <mat-label>Location</mat-label>
                                <input type="text" placeholder="Location" aria-label="Number" matInput
                                    formControlName="location" [matAutocomplete]="auto">
                                <mat-autocomplete #auto="matAutocomplete">
                                    <mat-option *ngFor="let location of filteredLocations" [value]="location.id">
                                        {{location.address}}
                                    </mat-option>
                                </mat-autocomplete>
                            </mat-form-field> -->
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Location</mat-label>
                            <mat-select placeholder="Select Location" formControlName="location">
                                <mat-option *ngFor="let location of allLocations" [value]="location.id">
                                    {{location.address}}
                                </mat-option>
                                <!-- <mat-option value="visitor">
                                        Restaurant
                                    </mat-option>
                                    <mat-option value="worker">
                                        Gym
                                    </mat-option>
                                    <mat-option value="delivery boy">
                                        Shopping Mall
                                    </mat-option>
                                    <mat-option value="guest">
                                        Theaters
                                    </mat-option> -->
                            </mat-select>
                        </mat-form-field>



                        <!-- <mat-form-field appearance="outline" class="w-100-p">
                            <mat-label>Building</mat-label>
                            <input type="text" placeholder="Building" aria-label="Number" matInput
                                formControlName="building" [matAutocomplete]="auto">
                            <mat-autocomplete #auto="matAutocomplete">
                                <mat-option *ngFor="let option of filteredBuildings | async" [value]="option.name">
                                    {{option.name}}
                                </mat-option>
                            </mat-autocomplete>
                        </mat-form-field> -->
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Building</mat-label>
                            <mat-select placeholder="Building" formControlName="building">
                                <mat-option *ngFor="let building of filteredBuildings" [value]="building.id">
                                    {{building.name}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>


                    <div *ngFor="let vehicles of vehicleDetals;index as i">
                        <mat-card *ngIf="vehicles.end_date==null" style="margin-bottom: 5px;border-radius: 35px;">
                            <div fxLayout="row" style="padding: 0px 20px 0px 25px;">
                                <div fxFlex="30">
                                    <mat-form-field class="w-100-p;">
                                        <mat-chip-list #chipList aria-label="Vehicle selection">
                                            <mat-chip *ngFor="let vehicle of vehicles.vehicles;index as j"
                                                [selectable]="selectable" [removable]="removable"
                                                (removed)="selectedChipremove(vehicle,vehicles,vehicleDetals)">
                                                {{vehicle?.number}}
                                                <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                                            </mat-chip>
                                            <input placeholder="New Vehicle..." [matChipInputFor]="chipList"
                                                [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                                                [matChipInputAddOnBlur]="addOnBlur"
                                                (matChipInputTokenEnd)="addchipSelectedVehicle($event,vehicles)">
                                        </mat-chip-list>
                                    </mat-form-field>
                                </div>
                                &nbsp;
                                <div fxFlex="30">
                                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                        <mat-label>Parking Number</mat-label>
                                        <input matInput placeholder="Parking Number" name="parking"
                                            [(ngModel)]="vehicles.parking_no">
                                    </mat-form-field>
                                </div>
                                &nbsp;
                                <div fxFlex="35">
                                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                        <mat-label>Select Cleaner</mat-label>
                                        <mat-select placeholder="Select cleaner" [(ngModel)]="vehicles.cleaner_id">
                                            <mat-option *ngFor="let worker of filterWorkers" [value]="worker.worker_id">
                                                {{worker.name}}
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                                &nbsp;
                            </div>
                            <div fxLayout="row" class="row justify-content-end"
                                style="padding: 0px 0px 0px 257px;margin-top: 5px;width: 100%;">
                                <div style="padding-left: 1%;" class="col-4" fxFlex="42">
                                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                        <mat-label>Subscription Amount</mat-label>
                                        <input matInput placeholder="Subscription amount" name="amount"
                                            [(ngModel)]="vehicles.subscription_amount">
                                    </mat-form-field>
                                </div>
                                <div fxFlex="48" class="col-4" style="padding-left: 1%;">
                                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                        <mat-label>Schedule</mat-label>
                                        <mat-select placeholder="Select schedule type" [disabled]='getScheduleChanged(vehicles.vehicles[0].vehicle_id)'
                                            [(ngModel)]="vehicles.scheduleType">
                                            <mat-option value='daily'>
                                                Daily
                                            </mat-option>
                                            <mat-option value='weekly'>
                                                Weekly
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                            </div>

                            <!-- <div class="row" *ngFor="let day of vehicles.weekdays">
            <div class="col-2" *ngIf="vehicles.scheduleType=='weekly'">
                <mat-label>Select cleaning days</mat-label>
                <section fxLayout="row" class="example-section">
                    <mat-checkbox [(ngModel)]="day.value"
                        (ngModelChange)="toggle($event.checked)">
                        {{day.day}}
                    </mat-checkbox>
                </section>
            </div>

        </div> -->
                            <div fxLayout="row">
                                <div style="padding-left: 2%;" fxFlex="50">
                                    <mat-form-field>
                                        <mat-label>Choose start date</mat-label>
                                        <input  matInput [matDatepicker]="startDate" [max]='getStartDate(vehicles.vehicles[0].vehicle_id)' [(ngModel)]="vehicles.startDate" (dateInput)="OnDateChange($event.value,vehicles)" [disabled]='getStartDateChanged(vehicles.vehicles[0].vehicle_id)'>
                                        <mat-datepicker-toggle matSuffix [for]="startDate"></mat-datepicker-toggle>
                                        <mat-datepicker #startDate></mat-datepicker>
                                    </mat-form-field>
                                </div>
                                <div fxFlex="50" fxLayout="row"
                                    style="padding-top: 1%;padding-left: 1%;float: right;margin-top: -1%;"
                                    *ngIf="vehicles.scheduleType=='weekly'">
                                    <!-- <mat-label>Select cleaning days:</mat-label>&nbsp;&nbsp; -->
                                    <section *ngFor="let day of vehicles.weekdays" class="example-section">
                                        <mat-checkbox  [(ngModel)]="day.value" (ngModelChange)="toggle($event.checked,vehicles.weekdays,vehicles)" [disabled]='getScheduleChanged(vehicles.vehicles[0].vehicle_id)'>
                                            {{day.day}}
                                        </mat-checkbox>&nbsp;&nbsp;
                                    </section>
                                </div>
                            </div>



                        </mat-card>
                    </div>





                    <!-- <mat-card style="background: #efebeb;"> -->
                    <div fxLayout="row" style="padding: 0px 20px 0px 25px;margin-top: 20px;">
                        <div fxFlex="30">
                            <mat-form-field class="w-100-p;">
                                <mat-chip-list #chipList aria-label="Vehicle selection">
                                    <mat-chip *ngFor="let vehicle of vehicles" [selectable]="selectable"
                                        [removable]="removable" (removed)="remove(vehicle)">
                                        {{vehicle?.number}}
                                        <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                                    </mat-chip>
                                    <input placeholder="New Vehicle..." [matChipInputFor]="chipList"
                                        [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                                        [matChipInputAddOnBlur]="addOnBlur" (matChipInputTokenEnd)="addchip($event)" pattern="([A-Za-z]+[0-9]|[0-9]+[A-Za-z])[A-Za-z0-9]*">
                                </mat-chip-list>
                            </mat-form-field>
                        </div>
                        &nbsp;
                        <div fxFlex="30">
                            <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                <mat-label>Parking Number</mat-label>
                                <input matInput placeholder="Parking Number" name="parking" [(ngModel)]="parking_no">
                            </mat-form-field>
                        </div>
                        &nbsp;
                        <div fxFlex="35">
                            <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                <mat-label>Select Cleaner</mat-label>
                                <mat-select placeholder="Select cleaner" [(ngModel)]="cleaner_id">
                                    <mat-option *ngFor="let worker of filterWorkers" [value]="worker.worker_id">
                                        {{worker.name}}
                                    </mat-option>
                                </mat-select>
                               
                            </mat-form-field>
                            <mat-error *ngIf="noWorkers">
                                workers are assigned to this building are inactive
                             </mat-error>
                        </div>
                    </div>
                    <div fxLayout="row" class="row justify-content-end"
                        style="padding: 0px 0px 0px 257px;margin-top: 5px;width: 100%;">
                        <div class="col-4" style="padding-left: 1%;" fxFlex="42">
                            <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                <mat-label>Subscription Amount</mat-label>
                                <input matInput placeholder="Subscription amount" name="amount"
                                    [(ngModel)]="subscription_amount">
                            </mat-form-field>
                        </div>
                        &nbsp;
                        <div fxFlex="48" class="col-4">
                            <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                                <mat-label>Schedule</mat-label>
                                <mat-select placeholder="Select schedule type" [(ngModel)]="scheduleType">
                                    <mat-option value='daily'>
                                        Daily
                                    </mat-option>
                                    <mat-option value='weekly'>
                                        Weekly
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>

                    </div>
                    <!-- <div>
                        <mat-form-field>
                            <mat-label>Choose start date</mat-label>
                            <input matInput [matDatepicker]="startDate" [(ngModel)]="startDate" #startDate="ngModel">
                            <mat-datepicker-toggle matSuffix [for]="startDate"></mat-datepicker-toggle>
                            <mat-datepicker #startDate></mat-datepicker>
                        </mat-form-field>
                    </div> -->
                    <div style="float: right;" fxLayout="row" *ngIf="scheduleType=='weekly'">
                        <!-- <mat-label>Select cleaning days:</mat-label>&nbsp;&nbsp; -->
                        <section *ngFor="let day of weekdays" class="example-section">
                            <mat-checkbox [(ngModel)]="day.value" (ngModelChange)="toggle($event.checked)">
                                {{day.day}}
                            </mat-checkbox>&nbsp;
                        </section>
                    </div>
                    <!-- </mat-card> -->

                    <div style="margin-top: 20px;margin-bottom: 20px;padding: 0px 20px 0px 25px;">
                        <!-- <button *ngIf="isShowPrev" mat-raised-button class="example-delete-tab-button"
                            (click)="showPreVeh()">
                            Previous
                        </button>
                        &nbsp;&nbsp;
                        <button *ngIf="isShowNxt" mat-raised-button class="example-delete-tab-button"
                            (click)="showNxtVeh()">
                            Next
                        </button> -->
                        &nbsp;&nbsp;
                        <button *ngIf="isAddNxt" mat-raised-button class="example-delete-tab-button"
                            (click)="addVehicle()"
                            [disabled]="scheduleType==''||cleaner_id==null||parking_no==''||vehicles.length==0||subscription_amount==null">
                            <span>Add Vehicle</span>
                        </button>
                    </div>




                    <!-- <div style="margin-top: 20px;margin-bottom: 20px;padding: 0px 20px 0px 25px;">
                        <button *ngIf="isShowPrev" mat-raised-button class="example-delete-tab-button"
                            (click)="showPreVeh()">
                            Previous
                        </button>
                        &nbsp;&nbsp;
                        <button *ngIf="isShowNxt" mat-raised-button class="example-delete-tab-button"
                            (click)="showNxtVeh()">
                            Next
                        </button>
                        &nbsp;&nbsp;
                        <button *ngIf="isAddNxt" mat-raised-button class="example-delete-tab-button"
                            (click)="addVehicle()"
                            [disabled]="scheduleType==''||cleaner_id==null||parking_no==''||vehicles.length==0">
                            Add
                        </button>
                    </div> -->
















                </mat-dialog-content>
                &nbsp;&nbsp;
            </div>
            <!-- / CONTENT -->
        </div>
        <!-- / CONTENT CARD -->
        <mat-dialog-actions align="end">
            <div>
                <button style="margin-bottom: 20px;" mat-raised-button class="save-product-button" (click)="close()">
                    <span>CANCEL</span>
                </button>
            </div>
            &nbsp;&nbsp;
            <div *ngIf="!data.edit && !(data.enquiry && data.doesExist)">
                <button [disabled]="customerForm.invalid || newvehicles.length==0" style="margin-bottom: 20px;"
                    mat-raised-button class="save-product-button" (click)="addCustomer()">
                    <span>ADD CUSTOMER</span>
                </button>
            </div>
            <div *ngIf="data.edit || (data.enquiry && data.doesExist)">
                <button [disabled]="customerForm.invalid || vehicleDetals.length==0" style="margin-bottom: 20px;"
                    mat-raised-button class="save-product-button" (click)="editCustomer()">
                    <span>Edit</span>
                </button>
            </div>
        </mat-dialog-actions>

    </div>
    <!-- / CENTER -->
</div>